---
name: Bug report
about: Create a bug report
title: ''
labels: bug/need-confirmation, kind/bug
assignees: ''
---

<!--

Thanks for reporting a bug for Portainer !

You can find more information about Portainer support framework policy here: https://www.portainer.io/2019/04/portainer-support-policy/

Do you need help or have a question? Come chat with us on Slack https://portainer.io/slack/

Before opening a new issue, make sure that we do not have any duplicates
already open. You can ensure this by searching the issue list for this
repository. If there is a duplicate, please close your issue and add a comment
to the existing issue instead.

Also, be sure to check our FAQ and documentation first: https://documentation.portainer.io/
-->

**Bug description**
A clear and concise description of what the bug is.

**Expected behavior**
A clear and concise description of what you expected to happen.

**Portainer Logs**
Provide the logs of your Portainer container or Service.
You can see how [here](https://documentation.portainer.io/r/portainer-logs)

**Steps to reproduce the issue:**

1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

**Technical details:**

- Portainer version:
- Docker version (managed by Portainer):
- Kubernetes version (managed by Portainer):
- Platform (windows/linux):
- Command used to start Portainer (`docker run -p 9443:9443 portainer/portainer`):
- Browser:
- Use Case (delete as appropriate): Using Portainer at Home, Using Portainer in a Commercial setup.
- Have you reviewed our technical documentation and knowledge base? Yes/No

**Additional context**
Add any other context about the problem here.
